Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class MutableProductItemImpl

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.MutableCatalogItemImpl
          com.beasys.commerce.ebusiness.catalog.MutableProductItemImpl

All Implemented Interfaces
  ConfigurableEntity, CatalogItem, MutableCatalogItem, MutableProductItem, ProductItem, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class MutableProductItemImpl

extends MutableCatalogItemImpl
implements MutableProductItem

This is the implentation class for all mutable product items contained by the Catalog. This class exposes data accessors and mutators for product item data conforming to the Dublin Core Metadata. Refer to the DCM spec for details.

See Also
  Serialized Form

Field Summary

Fields inherited from interface com.beasys.commerce.ebusiness.catalog.ProductItem
`DETAILED_DISPLAY_JSP_INDEX, INVISIBLE_ITEM, MAX_JSP, SUMMARY_DISPLAY_JSP_INDEX, VISIBLE_ITEM`

Fields inherited from interface com.beasys.commerce.ebusiness.catalog.CatalogItem
`LARGE_IMAGE_INDEX, LONG_DESCRIPTION_INDEX, MAX_DESCRIPTION, MAX_IMAGES, SHORT_DESCRIPTION_INDEX, SMALL_IMAGE_INDEX`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.beasys.commerce.ebusiness.catalog.CatalogItem
`LARGE_IMAGE_INDEX, LONG_DESCRIPTION_INDEX, MAX_DESCRIPTION, MAX_IMAGES, SHORT_DESCRIPTION_INDEX, SMALL_IMAGE_INDEX`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Method Summary
`InventoryInfo` | `getAvailability()` Deprecated See BEA Commerce product offering
`Money` | `getCurrentPrice()` Deprecated See BEA Commerce product offering
`String` | `getFormat()` Deprecated See BEA Commerce product offering
`JspInfo` | `getJsp(int index)` Deprecated See BEA Commerce product offering
`Money` | `getMsrp()` Deprecated See BEA Commerce product offering
`String` | `getShippingCode()` Deprecated See BEA Commerce product offering
`String` | `getTaxCode()` Deprecated See BEA Commerce product offering
`String` | `getType()` Deprecated See BEA Commerce product offering
`char` | `getVisible()` Deprecated See BEA Commerce product offering
`void` | `setAvailability(InventoryInfo inventoryInfo)` Deprecated See BEA Commerce product offering
`void` | `setCurrentPrice(Money price)` Deprecated See BEA Commerce product offering
`void` | `setFormat(String format)` Deprecated See BEA Commerce product offering
`void` | `setJsp(int index, JspInfo jspInfo)` Deprecated See BEA Commerce product offering
`void` | `setMsrp(Money price)` Deprecated See BEA Commerce product offering
`void` | `setShippingCode(String shippingCode)` Deprecated See BEA Commerce product offering
`void` | `setTaxCode(String taxCode)` Deprecated See BEA Commerce product offering
`void` | `setType(String type)` Deprecated See BEA Commerce product offering
`void` | `setVisible(char visible)` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.ebusiness.catalog.MutableCatalogItemImpl
`addBusinessPolicy, addPropertyValue, addPropertyValueMapped, clearPropertyModifications, getBusinessPolicy, getContributor, getCoverage, getCreationDate, getCreator, getDescription, getImage, getJndiName, getKey, getLanguage, getModificationMap, getModifiedDate, getName, getPkString, getProperties, getProperties, getProperty, getProperty, getProperty, getPropertyAsString, getPropertyAsString, getPropertyDefault, getPropertyNoDefault, getPropertyNoDefault, getPublisher, getRelation, getRights, getSource, getSuccessor, getUniqueId, initPropertyModifications, isPropertyExplicit, isPropertyModified, modifyProperty, removeBusinessPolicy, removeProperties, removeProperty, removeProperty, removePropertyValue, removePropertyValueMapped, removeSuccessor, setContributor, setCoverage, setCreationDate, setCreator, setDescription, setImage, setLanguage, setModifiedDate, setName, setProperty, setProperty, setPublisher, setRelation, setRights, setSource, setSuccessor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.CatalogItem
`getContributor, getCoverage, getCreationDate, getCreator, getDescription, getImage, getKey, getLanguage, getModifiedDate, getName, getPublisher, getRelation, getRights, getSource`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getProperty, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.MutableCatalogItem
`setContributor, setCoverage, setCreationDate, setCreator, setDescription, setImage, setLanguage, setModifiedDate, setName, setPublisher, setRelation, setRights, setSource`

Methods inherited from interface com.beasys.commerce.ebusiness.catalog.CatalogItem
`getContributor, getCoverage, getCreationDate, getCreator, getDescription, getImage, getKey, getLanguage, getModifiedDate, getName, getPublisher, getRelation, getRights, getSource`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getProperty, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Method Detail

### getJsp

    public JspInfo getJsp(int index)

  Deprecated See BEA Commerce product offering

  Gets the JSP for a product item

  Specified by:
    `getJsp` in interface `ProductItem`
  Parameters
    `index` - the JSP to retrieve, should be either SUMMARY_DISPLAY_JSP_INDEX or DETAILED_DISPLAY_JSP_INDEX
  Returns
    the JspInfo object for the JSP

### setJsp

    public void setJsp(int index,
                       JspInfo jspInfo)

  Deprecated See BEA Commerce product offering

  Sets the JSP for a product item

  Specified by:
    `setJsp` in interface `MutableProductItem`
  Parameters
    `index` - the JSP to set, should be either SUMMARY_DISPLAY_JSP_INDEX or DETAILED_DISPLAY_JSP_INDEX
    `jspInfo` - the new JspInfo object for the JSP

### getFormat

    public String getFormat()

  Deprecated See BEA Commerce product offering

  Gets the format for a product item

  Specified by:
    `getFormat` in interface `ProductItem`
  Returns
    the format for the product item

### setFormat

    public void setFormat(String format)

  Deprecated See BEA Commerce product offering

  Sets the format for a product item

  Specified by:
    `setFormat` in interface `MutableProductItem`
  Parameters
    `format` - the new format for the product item

### getType

    public String getType()

  Deprecated See BEA Commerce product offering

  Gets the type for a product item

  Specified by:
    `getType` in interface `ProductItem`
  Returns
    the type for the product item

### setType

    public void setType(String type)

  Deprecated See BEA Commerce product offering

  Sets the type for a product item

  Specified by:
    `setType` in interface `MutableProductItem`
  Parameters
    `type` - the new type for the product item

### getTaxCode

    public String getTaxCode()

  Deprecated See BEA Commerce product offering

  Gets the tax code for a product item

  Specified by:
    `getTaxCode` in interface `ProductItem`
  Returns
    the tax code for the product item

### setTaxCode

    public void setTaxCode(String taxCode)

  Deprecated See BEA Commerce product offering

  Sets the tax code for a product item

  Specified by:
    `setTaxCode` in interface `MutableProductItem`
  Parameters
    `taxCode` - the new tax code for the product item

### getShippingCode

    public String getShippingCode()

  Deprecated See BEA Commerce product offering

  Gets the shipping code for a product item

  Specified by:
    `getShippingCode` in interface `ProductItem`
  Returns
    the shipping code for the product item

### setShippingCode

    public void setShippingCode(String shippingCode)

  Deprecated See BEA Commerce product offering

  Sets the shipping code for a product item

  Specified by:
    `setShippingCode` in interface `MutableProductItem`
  Parameters
    `shippingCode` - the new shipping code for the product item

### getMsrp

    public Money getMsrp()

  Deprecated See BEA Commerce product offering

  Gets the MSRP for a product item

  Specified by:
    `getMsrp` in interface `ProductItem`
  Returns
    the Msrp for the product item

### setMsrp

    public void setMsrp(Money price)

  Deprecated See BEA Commerce product offering

  Sets the MSRP for a product item

  Specified by:
    `setMsrp` in interface `MutableProductItem`
  Parameters
    `price` - the new Msrp for the product item

### getCurrentPrice

    public Money getCurrentPrice()

  Deprecated See BEA Commerce product offering

  Gets the current price for a product item

  Specified by:
    `getCurrentPrice` in interface `ProductItem`
  Returns
    the current price for the product item

### setCurrentPrice

    public void setCurrentPrice(Money price)

  Deprecated See BEA Commerce product offering

  Sets the current price for a product item

  Specified by:
    `setCurrentPrice` in interface `MutableProductItem`
  Parameters
    `price` - the current price for the product item

### getAvailability

    public InventoryInfo getAvailability()

  Deprecated See BEA Commerce product offering

  Gets the availibility for a product item

  Specified by:
    `getAvailability` in interface `ProductItem`
  Returns
    the current availability for the product item

### setAvailability

    public void setAvailability(InventoryInfo inventoryInfo)

  Deprecated See BEA Commerce product offering

  Sets the availibility for a product item

  Specified by:
    `setAvailability` in interface `MutableProductItem`
  Parameters
    `inventoryInfo` - the new availability for the product item

### getVisible

    public char getVisible()

  Deprecated See BEA Commerce product offering

  Gets the visilbity code for a product item

  Specified by:
    `getVisible` in interface `ProductItem`
  Returns
    the visiblity code for the product item

### setVisible

    public void setVisible(char visible)

  Deprecated See BEA Commerce product offering

  Sets the visilbity code for a product item

  Specified by:
    `setVisible` in interface `MutableProductItem`
  Parameters
    `visible` - the new visiblity code for the product item

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Builds a string representation of this object.

  Overrides:
    `toString` in class `MutableCatalogItemImpl`
  Returns
    the string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved